﻿.searchmodalbody {
    margin-left: 3px;
    width: 97%;
}

.no-resize {
    resize: none;
}

.large {
    font-size: large;
}

.larger {
    font-size: larger;
}

.smaller {
    font-size: smaller;
}

.smallcaps {
    font-variant: small-caps;
}

.caps {
    text-transform: uppercase;
}

.lows {
    text-transform: lowercase;
}

.bg-4 {
    background-color: #2f2f2f;
    color: #9d9d9d;
}

.bg-smokewhite {
    background-color: #f5f5f5;
}

.no-display {
    display: none;
}

.no-link {
    color: darkslategrey;
    text-decoration: none;
    font-weight: normal;
}

.no-link-b {
        color: Black;
        text-decoration: none;
        font-weight: 600;
    }

.bold {
    color: Black;
    font-weight: 600;
}

.no-link:hover, .no-link:active, .no-link-b:hover {
    color: Black;
    background-color: gainsboro;
    text-decoration: none;
}

.link-dark {
    color: whitesmoke;
    text-decoration: none;
    background-color: transparent;
    font-weight: bold;
    border: 0px;
}

.link-dark:hover {
    color: white;
    text-decoration: underline;
    background-color: transparent;
    font-weight: bold;
    border: 0px;
}

.bg-4-link {
    color: #9d9d9d;
    text-decoration: none;
    background-color: transparent;
    font-weight: bold;
    border: 0px;
}

a.bg-4-link:active, a.bg-4-link:visited {
    color: #9d9d9d;
    text-decoration: none;
    background-color: transparent;
    font-weight: bold;
}

.bg-4-link:hover {
    color: #ffffff;
    text-decoration: underline;
    background-color: transparent;
    font-weight: bold;
}

a.LinkNone, a.LinkNone:hover {
    color: Black;
    text-decoration: none;
    font-weight: bolder;
}

.padding-bottom {
    padding-bottom: 14px;
}

.padding-bottom-3 {
    padding-bottom: 3px;
}

.padding-top {
    padding-top: 14px;
}

.padding-top-3 {
    padding-top: 3px;
}

.padding-vertical {
    padding-top: 14px;
    padding-bottom: 14px;
}

.padding-vertical-3 {
    padding-top: 3px;
    padding-bottom: 3px;
}

@media Print {
    .no-print {
        display: none;
    }
}

.failureNotification {
    color: Red;
    font-weight: 900;
}

.va-middle {
    float: left;
    vertical-align: middle;
}

.va-bottom {
    float: left;
    vertical-align: bottom;
}

.va-top {
    float: left;
    vertical-align: top;
}


/* No Border */

.no-border {
    border-top-style: none;
    border-width: 0px;
}

/* No Wrap */

.no-wrap {
    white-space: nowrap;
}

/* Wrap everything*/

.wrap-all {
    line-break: loose;
    word-break: break-all;
}

/* Modal Poup Styles */

.modalBackground {
    background-color: Black;
    filter: opacity(90%);
    opacity: 0.8;
}

.modalPopup {
    background-color: #FFFFFF;
    border-width: 3px;
    border-style: solid;
    border-color: black;
    padding-top: 10px;
    padding-left: 10px;
    width: 800px;
    height: 600px;
}

.iframereportviewerpdf {
    height:70vh;
    width: 100%;
    border: none;
}

.iframesearch {
    width: 100%;
    border: none;
}

#AFileUploadStatusLabel:hover {
    cursor: pointer;
}

#modulelegend {
    position: fixed; /* Fixed/sticky position */
    bottom: 20px; /* Place the button at the bottom of the page */
    right: 7px; /* Place the button 30px from the right */
    width: 12pt;
    z-index: 99; /* Make sure it does not overlap */
    text-align: center;
    font-variant: small-caps;
    font-family: sans-serif;
    font-weight: 900;
    font-size: 12pt;
    line-break: loose;
    word-break: break-all;
    filter: opacity(35%); 
}

#animatedwait {
    position: fixed; /* Fixed/sticky position */
    top: calc(50vh - 48px); /* Place the button at the bottom of the page */
    right: calc(50vw - 48px); /* Place the button 30px from the right */
    z-index: 99; /* Make sure it does not overlap */
}

#goTopButton {
    display: none; /* Hidden by default */
    position: fixed; /* Fixed/sticky position */
    bottom: 20px; /* Place the button at the bottom of the page */
    right: 30px; /* Place the button 30px from the right */
    z-index: 99; /* Make sure it does not overlap */
}

#goBackButton {
    position: fixed; /* Fixed/sticky position */
    bottom: 80px; /* Place the button at the bottom of the page */
    right: 30px; /* Place the button 30px from the right */
    z-index: 99; /* Make sure it does not overlap */
}

/* tooltips */

.m_tooltip {
    position: relative;
    display: inline-block;
}

.m_tooltip .m_tooltiptext {
    visibility: hidden;
    width: auto;
    background-color: black;
    color: #fff;
    text-align: left;
    border-radius: 6px;
    padding: 10px;
    position: absolute;
    z-index: 1;
    bottom: 150%;
    left: 50%;
    margin-left: -60px;
}

.m_tooltip .m_tooltiptext::after {
    content: "";
    position: absolute;
    top: 100%;
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: black transparent transparent transparent;
}

.m_tooltip:hover .m_tooltiptext {
    visibility: visible;
}

.cursor-hand {
    cursor: pointer;
}
